import { get, put, post, deletes } from '@/http/index'

// 查询飞行任务列表
export const getFlightask = async (data) => {
  return await get('/als/flightask/list', data)
}

// 新增飞行任务
export const addFlightask = async (data) => {
  return await post('/als/flightask', data)
}

// 修改飞行任务
export const updateFlightask = async (data) => {
  return await put('/als/flightask', data)
}

// 删除飞行任务
export const removeFlightask = async (id) => {
  return await deletes('/als/flightask/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
